#ifndef SPAN_H
#define SPAN_H

#include <stdint.h>
#include <stdlib.h>

struct Span
{
    uint8_t * start;
    size_t length;

    Span(uint8_t * _start, size_t _length)
        : start(_start),
          length(_length)
    {
    }
};

#endif
